package es.uv.saic.domain;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the noticia database table.
 * 
 */
@Entity
@NamedQuery(name="Noticia.findAll", query="SELECT n FROM Noticia n")
public class Noticia implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_noticia")
	private Integer idNoticia;

	@Column(name="texto_c")
	private String textoC;

	@Column(name="texto_v")
	private String textoV;

	@Column(name="titulo_c")
	private String tituloC;

	@Column(name="titulo_v")
	private String tituloV;

	private Boolean visible;

	public Noticia() {
	}

	public Integer getIdNoticia() {
		return this.idNoticia;
	}

	public void setIdNoticia(Integer idNoticia) {
		this.idNoticia = idNoticia;
	}

	public String getTextoC() {
		return this.textoC;
	}

	public void setTextoC(String textoC) {
		this.textoC = textoC;
	}

	public String getTextoV() {
		return this.textoV;
	}

	public void setTextoV(String textoV) {
		this.textoV = textoV;
	}

	public String getTituloC() {
		return this.tituloC;
	}

	public void setTituloC(String tituloC) {
		this.tituloC = tituloC;
	}

	public String getTituloV() {
		return this.tituloV;
	}

	public void setTituloV(String tituloV) {
		this.tituloV = tituloV;
	}

	public Boolean getVisible() {
		return this.visible;
	}

	public void setVisible(Boolean visible) {
		this.visible = visible;
	}

}